#carousel-main-content button:focus {
	outline: none;
}

#carousel-main-content .glyphicon.placeholder {
	position: relative !important;
	z-index: 0 !important;
	opacity: 0 !important;
}

#caorusel-main-content{
	padding-left: 0;
	padding-right: 0;
	color: #111;
	font-size: 28px;
	background-color: #eee;
}

#carousel-main-content .btn {
	color: #000;
	background-color: #f2f2f2;
	border-color: #d9d9d9;
	font-size: 28px;
	line-height: 1.6;
	border-width: 1px 2px 4px 1px;
	padding: 6px 22px;
	padding-bottom: 3px;
	box-shadow: 1px 1px 1px #bbb;
	transition: box-shadow ease .5s, background ease .5s, border ease .5s;
}

#carousel-main-content .btn:focus, #carousel-main-content .btn:active {
	outline: none !important;
}

#carousel-main-content .btn:disabled,#carousel-main-content .btn[disabled] {
	color: #999;
}

#carousel-main-content .btn.blue {
	color: #fff;
	background-color: #23527c;
	border-color: #183152;
}

#carousel-main-content .btn.blue:active,#carousel-main-content .btn.blue.active {
	outline: 0;
	-webkit-box-shadow: inset 0 3px 5px rgba(0,0,0,.5);
	box-shadow: inset 0 3px 5px rgba(0,0,0,.5);
}

#carousel-main-content .phone,#carousel-main-content .textarea {
	float: left;
	position: relative;
	width: 50%;
}

#carousel-main-content .slidearea {
	position: absolute;
	background-color: rgba(200,200,200,0.5);
	overflow: hidden;
	margin-top: 26.75%;
	margin-left: 9.6%;
	width: 81.5%;
	height: 72.95%;
}

#carousel-main-content .slides,#carousel-main-content .slide {
	width: 100%;
	height: 100%;
}

#carousel-main-content.slides,#carousel-main-content .slide,#carousel-main-content .slide .images,#carousel-main-content .slide .images img {
	height: 100%;
	width: 100%;
}

#carousel-main-content .slide {
	position: absolute;
	opacity: 0;
}

#carousel-main-content .slide.base {
	position: relative;
	opacity: 0;
}
#carousel-main-content .slide.fade {
	transition: opacity .5s ease-in-out;
	-moz-transition: opacity .5s ease-in-out;
	-webkit-transition: opacity .5s ease-in-out;
}
#carousel-main-content #slide1 {
	opacity: 1;
}

#carousel-main-content .slide .images {
	position: relative;
}

#carousel-main-content .slide .images .layer {
	position: absolute;
	top: 0;
	left: 0;
	opacity: 0;
}

#carousel-main-content .textarea {
	position: relative;
	background-color: #eee;
	background-color: rgba(238, 238, 238, 0.8);
	padding: 112px 0 56px 0;

	transition: all 0.3s ease-in-out;
}
#carousel-main-content .textarea .close {
	position: absolute;
	right: 10px;
	top: 0;
	z-index: 7;
	background-color: #ccc;

	-webkit-transition: top .1s ease;
	-moz-transition: top .1s ease;
	-o-transition: top .1s ease;
	transition: top .1s ease;
}
#carousel-main-content .textarea .close .glyphicon {
	position: absolute;
	z-index: 1;
	opacity: 0;
	padding: 10px;

	-webkit-transition: opacity .2s ease;
	-moz-transition: opacity .2s ease;
	-o-transition: opacity .2s ease;
	transition: opacity .2s ease;
}
#carousel-main-content .textarea .close .text--close {
	opacity: 1;
}

#carousel-main-content .textarea .texts {
	position: relative;
	overflow: hidden;
	height: auto;
	-webkit-transition: max-height 1s ease;
	-moz-transition: max-height 1s ease;
	-o-transition: max-height 1s ease;
	transition: max-height 1s ease;
}
#carousel-main-content .textarea .text {
	position: absolute;
	opacity: 0;
	top: 0;
	padding: 0 56px;
}
#carousel-main-content .textarea .text.transitioning {
	opacity: 0;
	position: absolute;
	display: block;
}
#carousel-main-content #text1 {
	position: relative;
	opacity: 1;
}
#carousel-main-content .textarea h2 {
	font-size: 35px;
	line-height: 1.4;
	padding: 0 0 14px 0;
	margin: 0;
	color: #000;

	-webkit-transition: font-size .1s ease;
	-moz-transition: font-size .1s ease;
	-o-transition: font-size .1s ease;
	transition: font-size .1s ease;
}
#carousel-main-content .textarea p {
	font-size: 20px;
	line-height: 34px;
	margin: 0;
	padding: 0 0 28px 0;
}
@media (max-width: 767px){
	#carousel-main-content #slideNav .minimal.collapsed .steps .btn {
		margin-right: -37px;
	}
	#carousel-main-content .textarea.collapsed .close {
		top: -43px;
		opacity: 0.7;
	}
	#carousel-main-content .textarea.collapsed .close .text--close {
		opacity: 0;
	}
	#carousel-main-content .textarea.collapsed .close .text--open {
		opacity: 1;
	}	
	
	#carousel-main-content .textarea.collapsed .text h2 {
		font-size: 20px;
		padding-top: 10px;
	}
	#carousel-main-content .textarea.collapsed .text p {
		display: none;
	}
}

#carousel-main-content #autoplay .glyphicon {
	z-index: 1;
	display: none;
}

#carousel-main-content .play, #carousel-main-content .pause,#carousel-main-content .restart{
	z-index: 10;
	position: relative;
}

@media (min-width: 768px){
	#carousel-main-content #slideNav button.btn.paused{
		padding-left: 18px;
	}
}

#carousel-main-content #autoplay .placeholder {
	display: inline-block;
	position: relative;
	opacity: 0;
}

@keyframes showProgress{
	0%{
		width: 0;
	}
	100%{
		width: 100%;
	}
}

@-webkit-keyframes showProgress{
	0%{
		width: 0;
	}
	100%{
		width: 100%;
	}
}

#carousel-main-content #autoplay .progressbar{
	position: absolute;
	z-index: 0;
	bottom: 0;
	left: 0;
	height: 100%;
	width: 0;
	background-color: #dfdfdf;
}

#carousel-main-content #autoplay .progressbar.active{
	animation-name: showProgress;
	animation-duration: 0.5s;
	-webkit-animation-name: showProgress;
	animation-fill-mode:both;
	-webkit-animation-fill-mode:both;
	-webkit-animation-duration: 0.5s;
	-webkit-animation-timing-function: linear;
	animation-timing-function: linear;
}

#carousel-main-content #autoplay.playing {
	outline: 0;
	-webkit-box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
	box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
}

#carousel-main-content #slideNext.done {
	box-shadow: none;
	background-color: #dff0d8;
	border-color: #d6e9c6;
}
#carousel-main-content #slideNext .default {
	transition: opacity .3s ease-in-out;
	-moz-transition: opacity .3s ease-in-out;
	-webkit-transition: opacity .3s ease-in-out;
}
#carousel-main-content #slideNext .done {
	position: relative;
	top: 2px;
	left: 0;
	width: 100%;
	height: 100%;
	text-align: center;
	color: #20a03f;
}
#carousel-main-content #slideNext.done .default {
	opacity: 0;
}
#carousel-main-content #slideNext.done .done {
	opacity: 1;
}

#carousel-main-content #slideNav {
	position: relative;
	z-index: 7;
	padding-left: 56px;
}
#carousel-main-content #slideNav button {
	position: relative;
	font-size: 20px;
	padding: 6px 12px;
	margin-right: 6px;
}

#carousel-main-content #slideNav .minimal .btn {
	margin-bottom: 14px;
	height: 50px;
}

#carousel-main-content #slideNav .full {
	display: none;
	/*width: 90%;*/
	font-size: 23px;
	position: relative;
	background: #fff;
	/*border: 3px solid #cccccc;*/
	margin-top: 10px;
	padding: 30px 40px;
}
#carousel-main-content #slideNav .full:after, #slideNav .full:before {
	bottom: 100%;
	left: 24px;
	border: solid transparent;
	content: " ";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
}

#carousel-main-content #slideNav .full:after {
	border-color: rgba(238, 238, 238, 0);
	border-bottom-color: #ffffff;
	border-width: 15px;
	margin-left: -15px;
}
#carousel-main-content #slideNav .full:before {
	border-color: rgba(204, 204, 204, 0);
	/*border-bottom-color: #cccccc;*/
	border-width: 19px;
	margin-left: -19px;
}

#carousel-main-content #slideNav .full ol {
	margin: 0 0 0 10px;
	padding: 0;
}
#carousel-main-content #slideNav .full li {
	margin-bottom: 6px;
}
#carousel-main-content #slideNav .full li span {
	color: #333;
}
#carousel-main-content #slideNav .full li a {
	margin: 0;
	padding: 0;
	
	-webkit-transition: -webkit-transform .2s;
	-moz-transition: -moz-transform .2s;
	-ms-transition: -ms-transform .2s;
	-o-transition: -o-transform .2s;
	transition: all .2s;
}
#carousel-main-content #slideNav .full li a:hover {
	text-decoration: none;
	padding-left: 6px;
}
#carousel-main-content #slideNav .full li a:focus {
	text-decoration: none;
}

/* ==========================
RESPONSIVE styles
========================== */

@media all and (max-width: 1199px) {
	
}

@media all and (max-width: 991px) {

	/* TEXT */
	#carousel-main-content .textarea .text {
		padding: 0 35px;
	}
	#carousel-main-content .textarea h2 {
		font-size: 25px;
		padding: 0 0 14px 0;
	}
	#carousel-main-content .textarea p {
		font-size: 17px;
		line-height: 28px;
		padding: 0 0 14px 0;
	}

	/* Slide Navigation */
	#carousel-main-content #slideNav {
		padding-left: 35px;
	}
	#carousel-main-content #slideNav .full {
		font-size: 20px;
	}
	
}

@media all and (max-width: 767px) {

	#carousel-main-content.container {
		height: 100%;
		overflow-y: auto;
	}

	#carousel-main-content .slideshow, #carousel-main-content .phone {
		min-height: 100%;
	}

	#carousel-main-content .phone,#carousel-main-content  .textarea {
		float: none;
		width: 100%;
	}

	/* SLIDES */
	#carousel-main-content .slidearea {
		position: relative;
		background-color: rgba(200,200,200,0.5);
		overflow: hidden;
		margin-top: 0;
		margin-left: 0;
		width: 100%;
		height: 100%;
	}
	#carousel-main-content .slide .images img {
		display: block;
		max-width: 100%;
		height: auto;
		min-height: calc(100vh - 50px);
	}

	/* TEXT */
	#carousel-main-content .textarea {
		position: fixed;
		bottom: 0;
		z-index: 99;
		padding: 28px 0 0 0;
		background-color: #eee !important;
		background-color: rgba(255, 255, 255, 0.95);

		border-top: solid 2px #23527c;
	}
	
	#carousel-main-content .textarea .text {
		padding: 0 28px;
	}
	#carousel-main-content .textarea h2 {
		font-size: 25px;
		padding: 0 0 14px 0;
	}
	#carousel-main-content .textarea p {
		font-size: 17px;
		line-height: 28px;
		padding: 0 0 14px 0;
	}

	/* Slide Navigation */
	#carousel-main-content #slideNav {
		padding-left: 0;
		background-color: #23527c;
		width: 100%;
	}
	#carousel-main-content #slideNav .minimal .btn {
		float: left;
		box-shadow: none;
		border-radius: 0;
		border-width: 0 3px 0 0px;
		border-color: #183152;
		margin-bottom: 0;
		margin-right: 0;
		padding: 0;
		background-color: #23527c;
		color: #fff;
		min-height: 50px;
		width: 15%;
	}
	#carousel-main-content #slideNav .minimal .btn#slideBack,#carousel-main-content  #slideNav .minimal .btn#slideNext {
		width: 27.5%;
	}
	#carousel-main-content #slideNav .minimal .btn#closeStep{
		width: 15%;
	}
	#carousel-main-content #slideNav .all:before {
		content: "";
		display: inline-block;
		position: absolute;
		z-index: 1;
		border: 10px solid #23527c;
		border-color: #23527c transparent transparent transparent;
		bottom: -20px;
		left: 40%;
	}

	#carousel-main-content #autoplay .progressbar {
		background-color: #5384b1;
	}

	#carousel-main-content #slideNext .done {
		top: 0;
		color: #20a03f;
	}
	#carousel-main-content #slideNav .full {
		width: 100%;
		font-size: 20px;
		background: #fff;
		margin-top: 0;
	}

	#carousel-main-content #slideNav .full:before{
		border: none;
	}
	#carousel-main-content #slideNav .full:after{
		border: none;
	}
	#carousel-main-content #slideNav .minimal .btn[disabled],#carousel-main-content  #slideNav .minimal .btn.disabled {
		background-color: #12395d;
		color: #23527c;
	}
}

/* applications steps to show code */
.app-details-steps{
	position: fixed;
	z-index: 999999999;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: #eee;
	overflow-y: auto;
}

@media (max-width: 767px){
	.app-details-steps{
		padding-right: 0 !important;
	}
}

.hideOverflow{
	overflow: hidden;
	max-height: 100vh;
}

.app-details-steps #carousel-main-content .close-app-step-carousel{
	position: fixed;
	right: 0;
	z-index: 999;
}

.slides{
	padding: 0;
}

#carousel-main-content.slides, #carousel-main-content .slide, #carousel-main-content .slide .images, #carousel-main-content .slide .images img{
	max-width: 100%;
}

#carousel-main-content{
	padding: 0;
}

#carousel-main-content .slide,#carousel-main-content .text{
	transition: all 0.3s ease-in-out;
	-webkit-transition: all 0.3s ease-in-out;
}

#carousel-main-content .slide.active,#carousel-main-content .text.active{
	position: relative;
	opacity: 1;
	transition: all 0.3s ease-in-out;
	-webkit-transition: all 0.3s ease-in-out;
}

#carousel-main-content #slideNav button.close-icon{
	font-size: 25px; 
}

@media (min-width: 768px){
	#carousel-main-content #slideNav button.close-icon{
		background-color: transparent;
		border: 0;
		box-shadow: none;
		position: fixed;
		top: 0;
		right: 0;
		border: 0;
		font-size: 36px;
		color: #58666e;
	}
}
#carousel-main-content .visible-xs.hide{
	display: none !important;
}

#carousel-main-content .visible-xs.hide.show{
	display: block !important; 
}

@media (min-width: 768px){
	#carousel-main-content .visible-xs.show{
		display: none !important;
	}
	#carousel-main-content .visible-xs.show.hide{
		display: none !important;
	}	
}

#carousel-main-content .slidearea .slides li{
	list-style: none;
}

@media (min-width: 768px){
	.iphone{
		max-height: 100vh;
		margin: 0 auto;
		min-height: 500px;
	}

	.slides{
		position: relative;
	}

	#carousel-main-content .slide{
		position: static;
	}

	#carousel-main-content .slide.active{
		position: absolute;
		top: 0;
		width: 100%;
		height: 100%;
		visibility: visible;
	}

	#carousel-main-content .slidearea{
		background-color: transparent;
		width: 100%;
		text-align: center;
		margin-left: 17.2%;
		margin-top: 13.5vh;
		padding-right: 34%;		
	}

	#carousel-main-content .slide{
		visibility: hidden;
	}

	#carousel-main-content .slide.active{
		visibility: visible;
	}
}
@media (min-width: 991px){
	#carousel-main-content .slidearea{
		margin-left: 26.2%;
		padding-right: 52%;
	}
}

@media (min-width: 767px) and (max-height: 500px){
	#carousel-main-content .slidearea{
		margin-top: 18.2%;
	}
}

@media (min-width: 991px) and (max-height: 500px){
	#carousel-main-content .slidearea{
		margin-top: 13.8%;
		margin-left: 26.1%;
	}
}

@media (max-width: 767px){
	#carousel-main-content .slidearea .slides li{
		//top: 20px;
	}
}

@media (max-width: 767px){
	#carousel-main-content #slideNext .done .fa-check{
		font-size: 25px;
		margin-top: 15px;
	}

	#carousel-main-content .textarea{
		padding-top: 0;
	}

	#carousel-main-content .textarea.collapsed .texts,#carousel-main-content .textarea.collapsed #slideNav{
		height: 50px;
		overflow: hidden;
	}

	#carousel-main-content .textarea.collapsed.playListOpen #slideNav{
		height: auto;
		overflow-y: auto;
	}

	#carousel-main-content .textarea.collapsed{
		height: 100px;	
	}

	#carousel-main-content .slides{
		height: calc(100vh - 100px);
		overflow-y: auto;
	}

	#carousel-main-content .textarea .texts,#carousel-main-content #slideNav .full{
		height: 150px;
		overflow-y: auto; 
	}

	#carousel-main-content .textarea{
		height: 200px;
	}

	#carousel-main-content .textarea.playListOpen{
		height: 344px;
	}

	#carousel-main-content .textarea.collapsed.playListOpen{
		height: 240px;
	}

	#carousel-main-content .slides.slideTextOpen{
		height: calc(100vh - 200px);
	}

	#carousel-main-content .slides.playListOpen{
		height: calc(100vh - 240px);	
	}

	#carousel-main-content .slides.playListOpen.slideTextOpen{
		height: calc(100vh - 344px);
	}
}